directory "#{ENV['HOME']}/.ssh" do
  mode 0700
end

template "#{ENV['HOME']}/.ssh/config" do
  source "client_config.erb"
  mode 0600
end

template "#{ENV['HOME']}/.ssh/authorized_keys" do
  source "authorized_keys.erb"
  mode 0600
end

node[:secrets][:ssh][:known_hosts_files].sort.each do |kh_file, servers|
  template "#{ENV['HOME']}/.ssh/#{kh_file}" do
    source "known_hosts.erb"
    variables(
      :servers => servers.sort.inject([]) {|acc, server| acc << [server, node[:secrets][:ssh][:hosts][server]]; acc }
    )
    mode 0600
  end
end
